/*
 * Copyright (c) 2016-present Invertase Limited & Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this library except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

export default {
  /**
   * 	Barcode value type constant for calendar events.
   */
  CALENDAR_EVENT: 11,

  /**
   * 	Barcode value type constant for contact information.
   */
  CONTACT_INFO: 1,

  /**
   * 	Barcode value type constant for driver's license data.
   */
  DRIVER_LICENSE: 12,

  /**
   * 	Barcode value type constant for email message details.
   */
  EMAIL: 2,

  /**
   * 	Barcode value type constant for geographic coordinates.
   */
  GEO: 10,

  /**
   * 	Barcode value type constant for ISBNs.
   */
  ISBN: 3,

  /**
   * 	Barcode value type constant for phone numbers.
   */
  PHONE: 4,

  /**
   * 	Barcode value type constant for product codes.
   */
  PRODUCT: 5,

  /**
   * 	Barcode value type constant for SMS details.
   */
  SMS: 6,

  /**
   * 	Barcode value type constant for plain text.
   */
  TEXT: 7,

  /**
   * 	Barcode value type unknown, which indicates the current version of SDK cannot recognize the structure of the barcode.
   */
  UNKNOWN: 0,

  /**
   * 	Barcode value type constant for URLs/bookmarks.
   */
  URL: 8,

  /**
   * 	Barcode value type constant for WiFi access point details.
   */
  WIFI: 9,
};
